#
# spec file for package icecream-monitor
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           icecream-monitor
BuildRequires:  cmake
BuildRequires:  docbook2x
BuildRequires:  hicolor-icon-theme
BuildRequires:  libicecream-devel
BuildRequires:  libqt4-devel
BuildRequires:  libxslt
BuildRequires:  update-desktop-files
Summary:        Monitor Program for the icecream Compile Farm
License:        GPL-2.0+
Group:          Development/Tools/Building
Url:            https://github.com/icecc/icemon
Version:        1.0
Release:        304.4
Source0:        icemon.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
icecream is the next generation distcc. This package provides a monitor
program.

%prep
%setup -q -n icemon

%build
  mkdir build
  cd build
  cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} ..
  make %{_smp_mflags}

%install
  cd build
  make install DESTDIR=%{buildroot}
  %suse_update_desktop_file icemon Development Building

%clean
rm -rf ${RPM_BUILD_ROOT}

%files 
%defattr(-,root,root)
%{_bindir}/icemon
%{_datadir}/applications/icemon.desktop
%{_datadir}/icons/hicolor/*/apps/icemon.*
%{_mandir}/man1/icemon.*

%changelog
* Sat Feb 15 2014 l.lunak@centrum.cz
- update to latest upstream git snapshot
- no longer depends on KDE4 libraries, only Qt4
- various bugfixes
- manpage included
* Mon Apr  8 2013 llunak@suse.com
- link also to -lcap-ng if icecream library needs it (cap-ng-link.patch)
* Thu Sep  8 2011 coolo@suse.com
- update from SVN to fix build
* Fri Aug 21 2009 beineri@opensuse.org
- fix appearance of application menu icon
* Thu Feb 28 2008 dmueller@suse.de
- reduce builddependencies
* Sun Oct 21 2007 coolo@suse.de
- port against latest beta
* Sun Sep  2 2007 stbinner@suse.de
- fix build
* Sun Aug 19 2007 ro@suse.de
- added libkdevplatform4-devel to buildreq
* Mon Aug  6 2007 dmueller@suse.de
- update to current SVN to make it actually build
* Mon Jul 23 2007 coolo@suse.de
- fix build
* Mon Jul 16 2007 coolo@suse.de
- switch to KDE4 version (because of the great new pool view)
* Wed Sep 20 2006 dmueller@suse.de
- fix icemon kicker applet
- build parallel
* Tue Sep 12 2006 coolo@suse.de
- update from SVN:
  - fix switching to detailed view
* Fri Aug 25 2006 coolo@suse.de
- fix endless hanging waiting to find scheduler
* Thu Jul 13 2006 coolo@suse.de
- adapt to the new API
* Fri Jun  2 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jun  1 2006 coolo@suse.de
  0.7.0:
  - WARNING: the protocol is not compatible with earlier
    versions, old clients will refuse to connect, so update
    the full farm
  - protocol reworked to no longer require a client->scheduler
    connection (the daemon will proxy it all)
  - all local jobs are now scheduled by the local daemon to
    make sure multiprocessor machines are handling as many jobs
    as they have jobs configured (# processors). They used to
    be "scheduled" by lock file
  - fixed grave bug that removed all daemon environments when
    the cache grew over limit
  - new telnet interface command: internals to output daemon
    states
  - stricter error handling to avoid suprises
  - SIGHUP to daemon and scheduler will reopen the log file
    to allow logrotate
  - a restart of the daemon and scheduler won't flush the log
    file, but append to it
  - create-env will create .tar.gz now - the client allows
    environments to be .tar, .tar.bz2 and .tar.gz
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 coolo@suse.de
- update to 0.6.2
* Thu Oct 13 2005 coolo@suse.de
- update tarball to build with gcc 4.1
* Thu Dec 16 2004 coolo@suse.de
- fix unsermake install
* Wed Sep  1 2004 coolo@suse.de
- fix build with --enable-final
* Sun Aug 29 2004 coolo@suse.de
- tons of new features for the existant views
- a new view (Detailed Host View)
* Wed Aug 11 2004 coolo@suse.de
- filter for platforms
* Wed Aug  4 2004 coolo@suse.de
- fix for lib64
* Fri Jul 30 2004 coolo@suse.de
- smaller fixes
* Fri Jun 11 2004 coolo@suse.de
- major update (including kicker applet)
* Tue May  4 2004 coolo@suse.de
- show platform for hosts
* Mon May  3 2004 coolo@suse.de
- put hosts in several rings
* Wed Apr 28 2004 coolo@suse.de
- nicer line handling and better fit in the available room
* Thu Apr 22 2004 coolo@suse.de
- the nodes have icecream colors now
* Sat Apr 17 2004 coolo@suse.de
- splitted off package
